# This script reads configuration variables, preferably from the
# sysadmin-modifiable configuration file but if necessary from the
# backstop configuration.

. "$RC_DIR/mirrorrib.conf"
declare BACKPARAM
{
    while read; do
        BACKPARAM=$(sed -r <<<"$REPLY" --\
         's/^(.*\s)([^[:space:]=]+)=[^=]*$/\2/')
        [ -v "$BACKPARAM" ] || $REPLY
    done
} <"$LIB_DIR/backstops/backstop.conf"
true
